
 /*+-------------------------------------------------------+
   |  SAS Global Forum 2013 Sample                         |
   |  Google-like maps in SAS                              |          
   |                                                       |
   |    NAME: MA_ChoroMap93.sas                            |
   |   TITLE: Draw a choropleth map with and OSM background|
   |          using pre-9.4 syntax.                        |
   | PRODUCT: GRAPH                                        |
   | PAPER TITLE:                                          |
   |   Google-like Maps in SAS                             |
   | NOTE: Modify all libnames and filenames to your       |
   |       installed path.                                 |
   |                                                       |
   |                                                       |
   |18Jan2013                                              |
   +-------------------------------------------------------+*/
/* Location for HTML output */
filename odsout 'c:\';

/* included macro programs */
%include "c:\SGF2013\macros\mapmacros.sas";


/* Extract NC only */
/**** Use MAPSGfK maps - Use unprojected lat long degrees ******
data mymap; 
    set mapsgfk.us_states(where=(resolution le 4 and     
                          statecode='NC')); 
    x=long; y=lat; 
run;
**** End of MAPSGFK code *****/

/**** Use MAPS data.  In radians *****/
data rmymap; 
    set maps.states (where=(state=(stfips('NC'))));
    id=state; 
run;

/* change data from radians to degrees */
%to_degrees(mymap,rmymap);
/**** End of MAPS code ****/

/* Convert to mercator projection*/
%to_mercator(proj_map,mymap, 0);

/* Use parameters here to turn on the OSM maps */
ods html path=ODSOUT file="ChoroMap93.html" 
         parameters=("OSMSTYLE"="SASMAPNIK");

/* JAVAIMG will not work with this syntax */
goptions device  = JAVA;

proc gmap map=proj_map data=proj_map;
   id id;
  choro id/ nolegend;
run;
quit;
ods html close;
